Package org.eclipse.cdt.core.dom.ast

# Enum Class IBasicType.Kind

java.lang.Object
java.lang.Enum<IBasicType.Kind>
org.eclipse.cdt.core.dom.ast.IBasicType.Kind

All Implemented Interfaces:
  `Serializable`, `Comparable<IBasicType.Kind>`, `java.lang.constant.Constable`

Enclosing interface:
  `IBasicType`

public static enum IBasicType.Kind extends Enum<IBasicType.Kind>

Since:
  5.2

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`eBoolean`
`eChar`
`eChar16`
`eChar32`
`eChar8`
`eDecimal128`
`eDecimal32`
`eDecimal64`
`eDouble`
`eFloat`
`eFloat128`
`eInt`
`eInt128`
`eNullPtr`
`eUnspecified`
`eVoid`
`eWChar`

## Method Summary

Modifier and Type
Method
Description
`static IBasicType.Kind`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static IBasicType.Kind[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### eUnspecified

public static final IBasicType.Kind eUnspecified

### eVoid

public static final IBasicType.Kind eVoid

### eChar

public static final IBasicType.Kind eChar

### eWChar

public static final IBasicType.Kind eWChar

### eInt

public static final IBasicType.Kind eInt

### eFloat

public static final IBasicType.Kind eFloat

### eDouble

public static final IBasicType.Kind eDouble

### eBoolean

public static final IBasicType.Kind eBoolean

### eChar16

public static final IBasicType.Kind eChar16

### eChar32

public static final IBasicType.Kind eChar32

### eNullPtr

public static final IBasicType.Kind eNullPtr

Since:
  5.4

### eInt128

public static final IBasicType.Kind eInt128

Since:
  5.5

### eFloat128

public static final IBasicType.Kind eFloat128

Since:
  5.5

### eDecimal32

public static final IBasicType.Kind eDecimal32

Since:
  5.10

### eDecimal64

public static final IBasicType.Kind eDecimal64

Since:
  5.10

### eDecimal128

public static final IBasicType.Kind eDecimal128

Since:
  5.10

### eChar8

public static final IBasicType.Kind eChar8

Since:
  8.2

## Method Details

### values

public static IBasicType.Kind[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static IBasicType.Kind valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null